<template>
  <div>
    <h3 class="title-component">{{ $t('bounty.total.title') }}</h3>

    <div class="progress-container">
      <img src="/images/logo3.png" class="logo" alt="logo"/>
      <div class="progress-wrapper">
        <div class="progress">
          <div class="progress-bar-line text-right position-relative" v-if="percentToken > 0" :style="{width: percentToken + '%'}">
          </div>
        </div>

        <div class="row progres_number">
          <div class="col-6 text-left progress-label">{{ hetaTokens | formatCurrencyAmount('heta', '0') }} {{ !!hetaTokens ? $t('common.heta_tokens') : $t('common.heta_token') }}</div>
          <div class="col-6 text-right progress-label">{{ $t('bounty.total.max', {token: $options.filters.formatCurrencyAmount(estHetaTokens, 'heta', '0') }) }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import rf from '../../../common/requests/RequestFactory';
  import bignumber from 'bignumber.js';

  export default {
    data () {
      return {
        estHetaTokens: 0,
        hetaTokens: 0,
      }
    },
    computed: {
      percentToken() {
        if (bignumber(this.estHetaTokens).isZero()) {
          return 0;
        }

        return bignumber(this.hetaTokens).dividedBy(this.estHetaTokens).times(100).toFixed(2);
      }
    },
    methods: {
      getEstHetaTokens () {
        rf.getRequest('UserRequest').getEstHetaTokens()
          .then((res) => {
            this.estHetaTokens = res.data;
          });
      },

      getTotalHetaTokens () {
        rf.getRequest('UserRequest').getTotalHetaTokens()
          .then((res) => {
            this.hetaTokens = res.data;
          });
      }
    },
    mounted() {
      this.getEstHetaTokens();
      this.getTotalHetaTokens();
    }
  }
</script>

<style lang="scss" scoped>
  @import '../../../../sass/variables';
  .progress-container {
    margin: 0px auto;
    position: relative;
    font-size: 0;

    .logo {
      width: 49px;
      height: 43px;
      margin-right: 25px;
      vertical-align: bottom;
    }

    .progress-wrapper {
      display: inline-block;
      width: calc(100% - 74px);
    }

    .progress {
      width: 100%;
      height: 8px;
      display: inline-block;
      border-radius: 5px;
      background-color: #e1e8ff;

      .progress-bar-line {
        height: 100%;
        border-radius: 5px;
        background-image: -webkit-linear-gradient(left, #fad961, #f76b1c);
        background-image: -o-linear-gradient(left, #fad961, #f76b1c);
        background-image: linear-gradient(to right, #fad961, #f76b1c);
        padding-right: 10px;
        color: white;
        line-height: 30px;
      }
    }

    .progress-label {
      margin-top: 15px;
      line-height: 1;
      font-size: $small;
      color: $gray;
    }
  }
</style>
